diff --git a/configure.ac b/configure.ac
index 1a8ac63..5011221 100644
--- a/configure.ac
+++ b/configure.ac
@@ -2959,7 +2924,7 @@ AS_IF([VLC_FEATURE_ENABLED([realrtsp])], [
 AC_ARG_ENABLE(libsysfs,
   [  --enable-libsysfs       Get user key from firewire connected iPod via libsysfs (default enabled)])
 
-AS_IF([test "${enable_libsysfs}" != "no"],[
+AS_IF([VLC_FEATURE_NOT_DISABLED([libsysfs])], [
   AC_CHECK_HEADERS(sysfs/libsysfs.h, [
     VLC_ADD_LIBS([mp4 mkv],[-lsysfs])
   ] )
@@ -2971,7 +2936,7 @@ dnl
 AC_ARG_ENABLE(libtar,
   [  --enable-libtar         libtar support for skins2 (default enabled)])
 
-AS_IF([test "${enable_libtar}" != "no"],[
+AS_IF([VLC_FEATURE_NOT_DISABLED([libtar])], [
   AC_CHECK_HEADERS(libtar.h, [
     VLC_ADD_LIBS([skins2],[-ltar])
   ] )
@@ -2982,8 +2947,7 @@ dnl A52/AC3 decoder plugin
 dnl
 AC_ARG_ENABLE(a52,
   [  --enable-a52            A/52 support with liba52 (default enabled)])
-if test "${enable_a52}" != "no"
-then
+AS_IF([VLC_FEATURE_NOT_DISABLED([a52])], [
   AC_ARG_WITH(a52,
     [  --with-a52=PATH         a52 headers and libraries])
   AC_ARG_WITH(a52-tree,
@@ -3047,7 +3011,7 @@ then
     CPPFLAGS="${CPPFLAGS_save}"
     LDFLAGS="${LDFLAGS_save}"
   fi
-fi
+])
 
 AC_ARG_WITH(a52-fixed,
       [  --with-a52-fixed        specify if liba52 has been compiled with fixed point support],
@@ -3079,13 +3043,12 @@ dnl  Tremor plugin
 dnl
 AC_ARG_ENABLE(tremor,
   [  --enable-tremor         Tremor decoder support (default disabled)])
-if test "${enable_tremor}" = "yes"
-then
+AS_IF([VLC_FEATURE_ENABLED([tremor])], [
   AC_CHECK_HEADERS(tremor/ivorbiscodec.h, [
     VLC_ADD_PLUGIN([tremor])
     VLC_ADD_LIBS([tremor],[-lvorbisidec -logg])
    ],[])
-fi
+])
 
 dnl
 dnl  Speex plugin
@@ -3112,7 +3075,7 @@ dnl  PNG decoder module
 dnl
 AC_ARG_ENABLE(png,
   [  --enable-png            PNG support (default enabled)])
-if test "${enable_png}" != "no"; then
+AS_IF([VLC_FEATURE_NOT_DISABLED([png])], [
 AC_CHECK_HEADERS(png.h, [
   LDFLAGS="${LDFLAGS_save} -lz"
   AC_CHECK_LIB(png, png_set_rows, [
@@ -3121,15 +3084,15 @@ AC_CHECK_HEADERS(png.h, [
     [],[-lz])
     LDFLAGS="${LDFLAGS_save}"
   ])
-fi
-AM_CONDITIONAL(BUILD_OSDMENU, [test "${enable_png}" != "no"])
+])
+AM_CONDITIONAL(BUILD_OSDMENU, [VLC_FEATURE_NOT_DISABLED([png])])
 
 dnl
 dnl H264 encoder plugin (using libx264)
 dnl
 AC_ARG_ENABLE(x264,
   [  --enable-x264           H264 encoding support with libx264 (default enabled)])
-if test "${enable_x264}" != "no"; then
+AS_IF([VLC_FEATURE_NOT_DISABLED([x264])], [
   AC_ARG_WITH(x264-tree,
     [  --with-x264-tree=PATH   x264 tree for static linking ],[],[])
   if test "${with_x264_tree}" != "no" -a -n "${with_x264_tree}"
@@ -3183,13 +3146,13 @@ if test "${enable_x264}" != "no"; then
           VLC_ADD_CFLAGS([x264], [-DPTW32_STATIC_LIB])
         fi
       ],[
-        if test "${enable_x264}" = "yes"; then
+        AS_IF([VLC_FEATURE_REQUESTED([x264])], [
             AC_MSG_ERROR([Could not find libx264 >= 0.76 on your system: you may get it from http://www.videolan.org/x264.html])
-          fi
+          ])
       ])
     LDFLAGS="${LDFLAGS_save}"
   fi
-fi
+])
 
 dnl
 dnl libfluidsynth (MIDI synthetizer) plugin
@@ -3209,7 +3172,7 @@ AC_ARG_ENABLE(telx,
   AS_HELP_STRING([--enable-telx],[Teletext decoding module (conflicting with
                   zvbi) (default enabled if zvbi is absent)]))
 
-AS_IF( [test "${enable_zvbi}" != "no"],[
+AS_IF([VLC_FEATURE_NOT_DISABLED([zvbi])], [
     PKG_CHECK_MODULES(ZVBI,
         zvbi-0.2 >= 0.2.28,
         [
@@ -3220,7 +3183,7 @@ AS_IF( [test "${enable_zvbi}" != "no"],[
           VLC_ADD_CFLAGS([zvbi],[$ZVBI_CFLAGS])
           VLC_ADD_PLUGIN([zvbi])
           AC_DEFINE(ZVBI_COMPILED, 1, [Define if the zvbi module is built])
-          AS_IF( [test "${enable_telx}" = "yes"],[
+          AS_IF([VLC_FEATURE_REQUESTED([telx])], [
                   AC_MSG_WARN([The zvbi and telx modules are uncompatibles.
                                Using zvbi.])
                   ])
@@ -3228,7 +3191,7 @@ AS_IF( [test "${enable_zvbi}" != "no"],[
           AC_MSG_WARN(ZVBI library not found. Enabling the telx module instead)
         ])
     ])
-AS_IF( [test "${enable_telx}" != "no" ],[
+AS_IF([VLC_FEATURE_NOT_DISABLED([telx])], [
   VLC_ADD_PLUGIN([telx])
   ])
 
@@ -3278,7 +3241,7 @@ dnl  kate decoder plugin
 dnl
 AC_ARG_ENABLE(kate,
 [  --enable-kate           kate codec (default enabled)])
-AS_IF([test "${enable_kate}" != "no"], [
+AS_IF([VLC_FEATURE_NOT_DISABLED([kate])], [
   PKG_CHECK_MODULES(KATE,[kate >= 0.1.5], [
       VLC_ADD_PLUGIN([kate])
       VLC_ADD_CFLAGS([kate],[$KATE_CFLAGS])
@@ -3288,13 +3251,13 @@ AS_IF([test "${enable_kate}" != "no"], [
             VLC_ADD_PLUGIN([kate])
             kate_libs="-lkate -logg"
             VLC_ADD_LDFLAGS([kate],[${kate_libs}]) ],[
-            AS_IF([test "x${enable_kate}" != "x"], [
+            AS_IF([VLC_FEATURE_REQUESTED([kate])], [
               AC_MSG_ERROR([libkate doesn't appear to be installed on your system.
               You also need to check that you have a libogg posterior to the 1.0 release.])
             ])
 	  ], [-lkate -logg])
         ],[
-          AS_IF([test "x${enable_kate}" != "x"], [
+          AS_IF([VLC_FEATURE_REQUESTED([kate])], [
             AC_MSG_ERROR([libkate headers do not appear to be installed on your system.
             You also need to check that you have a libogg posterior to the 1.0 release.])
           ])
@@ -3308,12 +3271,12 @@ dnl  tiger rendering for kate decoder plugin
 dnl
 AC_ARG_ENABLE(tiger,
 [  --enable-tiger          Tiger rendering library for Kate streams (default enabled)])
-AS_IF([test "${enable_tiger}" != "no"], [
+AS_IF([VLC_FEATURE_NOT_DISABLED([tiger])], [
   PKG_CHECK_MODULES(TIGER,[tiger >= 0.3.1], [
       AC_DEFINE(HAVE_TIGER, 1, [Define if libtiger is available.])
       VLC_ADD_CFLAGS([kate],[$TIGER_CFLAGS])
       VLC_ADD_LIBS([kate],[$TIGER_LIBS]) ],[
-        AS_IF([test "x${enable_tiger}" != "x"], [
+        AS_IF([VLC_FEATURE_REQUESTED([tiger])], [
           AC_MSG_ERROR([libtiger does not appear to be installed on your system.])
         ])
   ])
@@ -3423,12 +3386,11 @@ dnl  (enabled by default except on beos)
 dnl
 AC_ARG_ENABLE(opengl,
   [  --enable-opengl         OpenGL support (default enabled)])
-if test "${enable_opengl}" != "no" &&
-   test "${SYS}" = "darwin"; then
+AS_IF([VLC_FEATURE_NOT_DISABLED([opengl]) && test "${SYS}" = "darwin"], [
     dnl OS X special case (no GL/gl.h but OpenGL/gl.h)
     VLC_ADD_PLUGIN([opengl])
     VLC_ADD_LIBS([opengl],[-Wl,-framework,OpenGL])
-fi
+])
 
 dnl
 dnl  SDL module
@@ -3437,8 +3399,7 @@ AC_ARG_ENABLE(sdl,
   [  --enable-sdl            SDL support (default enabled)])
 AC_ARG_ENABLE(sdl-image,
   [  --enable-sdl-image      SDL image support (default enabled)])
-if test "${enable_sdl}" != "no"
-then
+AS_IF([VLC_FEATURE_NOT_DISABLED([sdl])], [
   SDL_PATH="${PATH}"
   AC_ARG_WITH(sdl-config-path,
     [  --with-sdl-config-path=PATH sdl-config path (default search in \$PATH)],
@@ -3460,7 +3421,7 @@ then
         VLC_ADD_LIBS([vout_sdl aout_sdl sdl_image],[`${SDL_CONFIG} --libs | sed 's,-rdynamic,,'`])
 
         # SDL_image
-        AS_IF([ test "${enable_sdl_image}" != "no"],[
+        AS_IF([VLC_FEATURE_NOT_DISABLED([sdl-image])], [
           AC_CHECK_HEADERS("SDL/SDL_image.h", [
             VLC_ADD_PLUGIN([sdl_image])
             AC_CHECK_LIB(png, png_set_rows, [VLC_ADD_LIBS([sdl_image],[-lpng -lz])],[],[-lz])
@@ -3475,13 +3436,14 @@ then
        AC_MSG_ERROR([The development package for SDL is too old. You need 1.2.10.
                     Alternatively you can also configure with --disable-sdl.])
      ])
-  else if test "${enable_sdl}" =  "yes"; then
+  else
+    AS_IF([VLC_FEATURE_REQUESTED([sdl])], [
     AC_MSG_ERROR([I could not find the SDL package. You can download libSDL
 from http://www.libsdl.org/, or configure with --disable-sdl. Have a nice day.
     ])
-      fi
+    ])
   fi
-fi
+])
 
 dnl
 dnl  freetype module
@@ -3492,8 +3454,7 @@ AC_ARG_ENABLE(fribidi,
   [  --enable-fribidi        fribidi support (default enabled)])
 AC_ARG_ENABLE(fontconfig,
   [  --enable-fontconfig     fontconfig support (default enabled)])
-if test "${enable_freetype}" != "no"
-then
+AS_IF([VLC_FEATURE_NOT_DISABLED([freetype])], [
    PKG_CHECK_MODULES(FREETYPE, freetype2,[
       VLC_ADD_PLUGIN([freetype])
       have_freetype=yes
@@ -3502,34 +3463,32 @@ then
         VLC_ADD_LIBS([freetype],[-liconv -lz])
       fi
       VLC_ADD_LIBS([freetype skins2],[${FREETYPE_LIBS}])
-      if test "${enable_fontconfig}" != "no"
-      then
+      AS_IF([VLC_FEATURE_NOT_DISABLED([fontconfig])], [
         AC_CHECK_HEADERS(fontconfig/fontconfig.h,
           [VLC_ADD_CPPFLAGS([freetype],[-DHAVE_FONTCONFIG])
            VLC_ADD_LIBS([freetype],[-lfontconfig])])
         AC_CHECK_HEADERS(Carbon/Carbon.h,
           [VLC_ADD_LDFLAGS([freetype],[-Wl,-framework,Carbon])])
-      fi
+      ])
 
      dnl fribidi support
-      if test "${enable_fribidi}" != "no"
-      then
+      AS_IF([VLC_FEATURE_NOT_DISABLED([fribidi])], [
         PKG_CHECK_MODULES(FRIBIDI, fribidi, [
           VLC_ADD_CPPFLAGS([freetype skins2], [${FRIBIDI_CFLAGS} -DHAVE_FRIBIDI])
           VLC_ADD_LIBS([freetype skins2], [${FRIBIDI_LIBS}])
         ])
-      fi
+      ])
 
   ],[
   have_freetype=no
-  AS_IF([ test "${enable_freetype}" =  "yes"],[
+  AS_IF([VLC_FEATURE_REQUESTED([freetype])], [
     AC_MSG_ERROR([I couldn't find the freetype package. You can download libfreetype2
 from http://www.freetype.org/, or configure with --disable-freetype. Have a nice day.
       ])
     ])
   ])
 
-fi
+])
 
 dnl
 dnl  libxml2 module
@@ -3546,19 +3505,16 @@ dnl Snapshot vout module (with cache)
 dnl
 AC_ARG_ENABLE(snapshot,
   [  --enable-snapshot       snapshot module (default disabled)])
-if test "${enable_snapshot}" = "yes"
-then
+AS_IF([VLC_FEATURE_ENABLED([snapshot])], [
   VLC_ADD_PLUGIN([snapshot])
-fi
+])
 
 dnl
 dnl Roku HD1000 Video output module
 dnl
 AC_ARG_ENABLE(hd1000v,
   [  --enable-hd1000v        HD1000 Video Output module (default enabled on HD1000)])
-if test "${enable_hd1000v}" != "no" -a "${CXX}" != "" &&
-  (test "${SYS}" != "mingw32" -a "${SYS}" != "mingwce" ||
-   test "${enable_hd1000v}" = "yes"); then
+AS_IF([{ VLC_FEATURE_NOT_DISABLED([hd1000v]) && test "${CXX}" != "" && test "${SYS}" != "mingw32" && test "${SYS}" != "mingwce" ;} || VLC_FEATURE_ENABLED([hd1000v])], [
   AC_LANG_PUSH([C++])
   AC_CHECK_HEADERS([cascade/graphics/CascadeScreen.h cascade/graphics/CascadeBitmap.h],
   [
@@ -3574,7 +3530,7 @@ if test "${enable_hd1000v}" != "no" -a "${CXX}" != "" &&
     VLC_ADD_LIBS([hd1000v],[-lCascade -ldvbpsi -lmad])
   fi
   AC_LANG_POP([C++])
-fi
+])
 
 dnl
 dnl  Windows DirectX module
@@ -3587,8 +3543,7 @@ fi
 
 AC_ARG_ENABLE(directx,
   [  --enable-directx        Win32 DirectX support (default enabled on Win32)])
-if test "${enable_directx}" != "no"
-then
+AS_IF([VLC_FEATURE_NOT_DISABLED([directx])], [
   if test "${SYS}" = "mingw32" -o "${SYS}" = "mingwce"
   then
       AC_CHECK_HEADERS(ddraw.h,
@@ -3606,14 +3561,14 @@ then
       ])
       VLC_ADD_LIBS([direct3d directx glwin32],[-lole32])
   fi
-fi
+])
 
 dnl
 dnl  win32 GDI plugin
 dnl
 AC_ARG_ENABLE(wingdi,
   [  --enable-wingdi         Win32 GDI module (default enabled on Win32)])
-if test "${enable_wingdi}" != "no"; then
+AS_IF([VLC_FEATURE_NOT_DISABLED([wingdi])], [
   if test "${SYS}" = "mingw32"; then
     VLC_ADD_PLUGIN([wingdi])
     VLC_ADD_LIBS([wingdi],[-lgdi32 -lole32])
@@ -3623,7 +3578,7 @@ if test "${enable_wingdi}" != "no"; then
     VLC_ADD_LIBS([wingdi],[-laygshell])
     VLC_ADD_LIBS([wingapi],[-laygshell])
   fi
-fi
+])
 
 
 dnl
@@ -3631,38 +3586,35 @@ dnl  Linux framebuffer module
 dnl
 AC_ARG_ENABLE(fb,
   [  --enable-fb             Linux framebuffer support (default enabled on Linux)])
-    if test "${enable_fb}" != "no"
-    then
+AS_IF([VLC_FEATURE_NOT_DISABLED([fb])], [
       AC_CHECK_HEADERS(linux/fb.h, [
         VLC_ADD_PLUGIN([fb])
       ])
-    fi
+    ])
 
 dnl
 dnl  OMAP Framebuffer module
 dnl
 AC_ARG_ENABLE(omapfb,
   [  --enable-omapfb         OMAP framebuffer support (default disabled)])
-    if test "${enable_omapfb}" = "yes"
-    then
+AS_IF([VLC_FEATURE_ENABLED([omapfb])], [
       AC_CHECK_HEADERS(asm/arch-omap/omapfb.h, [
         VLC_ADD_PLUGIN([omapfb])
         AC_CHECK_HEADERS(X11/Xlib.h, [
           VLC_ADD_LIBS([omapfb],[${X_LIBS} ${X_PRE_LIBS} -lX11]) ])
       ])
       VLC_ADD_PLUGIN([swscale_omap])
-    fi
+    ])
 
 dnl
 dnl  SVGAlib module
 dnl
 AC_ARG_ENABLE(svgalib,
   [  --enable-svgalib        SVGAlib support (default disabled)])
-if test "${enable_svgalib}" = "yes"
-then
+AS_IF([VLC_FEATURE_ENABLED([svgalib])], [
   VLC_ADD_PLUGIN([svgalib])
   VLC_ADD_LIBS([svgalib],[-lvgagl -lvga])
-fi
+])
 
 dnl
 dnl  DirectFB module
@@ -3673,8 +3625,7 @@ AC_ARG_ENABLE(directfb,
   [  --enable-directfb       DirectFB support (default disabled)])
 AC_ARG_WITH(directfb,
   [  --with-directfb=PATH    path to DirectFB headers and libraries])
-
-if test "${enable_directfb}" = "yes"; then
+AS_IF([VLC_FEATURE_ENABLED([directfb])], [
     have_directfb="false"
     CPPFLAGS_mydirectfb=
     LIBS_mydirectfb=
@@ -3730,7 +3681,7 @@ if test "${enable_directfb}" = "yes"; then
     else
         AC_MSG_ERROR([cannot find directfb headers and/or libraries ])
     fi
-fi
+])
 
 
 
@@ -3739,8 +3690,7 @@ dnl  GGI module
 dnl
 AC_ARG_ENABLE(ggi,
   [  --enable-ggi            GGI support (default disabled)])
-if test "${enable_ggi}" = "yes"
-then
+AS_IF([VLC_FEATURE_ENABLED([ggi])], [
   AC_CHECK_HEADER([ggi/ggi.h],[
     VLC_ADD_PLUGIN([ggi])
     VLC_ADD_LIBS([ggi],[-lggi])
@@ -3754,22 +3704,21 @@ then
     ],[
        AC_MSG_ERROR([LibGGI development files can't be found])
     ])
-fi
+])
 
 dnl
 dnl  AA plugin
 dnl
 AC_ARG_ENABLE(aa,
   [  --enable-aa             aalib output (default disabled)])
-if test "${enable_aa}" = "yes"
-then
+AS_IF([VLC_FEATURE_ENABLED([aa])], [
   AC_CHECK_HEADER(aalib.h,have_aa="true",have_aa="false")
   if test "${have_aa}" = "true"
   then
     VLC_ADD_PLUGIN([aa])
     VLC_ADD_LIBS([aa],[-laa])
   fi
-fi
+])
 
 dnl
 dnl  libcaca plugin
@@ -3787,16 +3736,12 @@ dnl  OSS /dev/dsp module (enabled by default except on win32)
 dnl
 AC_ARG_ENABLE(oss,
   [  --enable-oss            Linux OSS /dev/dsp support (enabled on Linux)])
-
-if test "${enable_oss}" != "no" &&
-  (test "${SYS}" != "mingw32" -a "${SYS}" != "mingwce" ||
-   test "${enable_oss}" = "yes")
-then
+AS_IF([{ VLC_FEATURE_NOT_DISABLED([oss]) && test "${SYS}" != "mingw32" && test "${SYS}" != "mingwce" ;} || VLC_FEATURE_ENABLED([oss])], [
   AC_CHECK_HEADERS([soundcard.h sys/soundcard.h], [
     VLC_ADD_PLUGIN([oss access_oss])
     AC_CHECK_LIB(ossaudio,main,[VLC_ADD_LIBS([oss access_oss],[-lossaudio])])
   ])
-fi
+])
 
 dnl
 dnl  Pulseaudio module
@@ -3818,7 +3763,7 @@ dnl  win32 waveOut plugin
 dnl
 AC_ARG_ENABLE(waveout,
   [  --enable-waveout        Win32 waveOut module (default enabled on Win32)])
-if test "${enable_waveout}" != "no"; then
+AS_IF([VLC_FEATURE_NOT_DISABLED([waveout])], [
   if test "${SYS}" = "mingw32"; then
     VLC_ADD_PLUGIN([waveout])
     VLC_ADD_LIBS([waveout],[-lwinmm])
@@ -3826,37 +3771,32 @@ if test "${enable_waveout}" != "no"; then
   if test "${SYS}" = "mingwce"; then
     VLC_ADD_PLUGIN([waveout])
   fi
-fi
+])
 
 dnl
 dnl  CoreAudio plugin
 dnl
 AC_ARG_ENABLE(macosx-audio,
   [  --enable-macosx-audio   Mac OS X audio module (default enabled on MacOS X)])
-if test "x${enable_macosx_audio}" != "xno" &&
-  (test "${SYS}" = "darwin" || test "${enable_macosx_audio}" = "yes")
-then
+AS_IF([VLC_FEATURE_NOT_DISABLED([macosx-audio]) && { test "${SYS}" = "darwin" || VLC_FEATURE_ENABLED([macosx-audio]) ;}], [
   AC_CHECK_HEADERS(CoreAudio/CoreAudio.h,
     [ VLC_ADD_PLUGIN([auhal])
       VLC_ADD_LDFLAGS([auhal],[-Wl,-framework,CoreAudio,-framework,AudioUnit,-framework,AudioToolbox,-framework,Carbon])
     ], [ AC_MSG_ERROR([cannot find CoreAudio headers]) ])
-fi
+])
 
 dnl
 dnl  Roku HD1000 audio
 dnl
 AC_ARG_ENABLE(hd1000a,
   [  --enable-hd1000a        HD1000 audio module (default enabled on HD1000)])
-if test "${enable_hd1000a}" != "no" -a "${CXX}" != "" &&
-  (test "${SYS}" != "mingw32" -a "${SYS}" != "mingwce" ||
-   test "${enable_hd1000a}" = "yes")
-then
+AS_IF([{ VLC_FEATURE_NOT_DISABLED([hd1000a]) && test "${CXX}" != "" && test "${SYS}" != "mingw32" && test "${SYS}" != "mingwce" ;} || VLC_FEATURE_ENABLED([hd1000a])], [
   AC_LANG_PUSH([C++])
   AC_CHECK_HEADERS(deschutes/libraries/hdmachinex225/PCMAudioPlayer.h, [
     VLC_ADD_PLUGIN([hd1000a])
     AC_CHECK_LIB(HDMachineX225,main,VLC_ADD_LIBS([hd1000a],[-lHDMachineX225]))  ])
   AC_LANG_POP([C++])
-fi
+])
 
 dnl
 dnl  JACK modules
@@ -3869,7 +3809,7 @@ dnl  CyberLink for C++ UPnP stack
 dnl
 AC_ARG_ENABLE(cyberlink,
   [  --enable-cyberlink      CyberLink for C++ UPnP stack (default disabled)])
-  AS_IF([test "${enable_cyberlink}" = "yes" ], [
+  AS_IF([VLC_FEATURE_ENABLED([cyberlink])], [
   AC_ARG_WITH(cyberlink-tree,
     [  --with-cyberlink-tree=PATH CyberLink for C++ tree for static linking])
 
@@ -4082,49 +4022,41 @@ dnl
 
 AC_ARG_ENABLE(macosx-vout,
   [  --enable-macosx-vout    Mac OS X video output module (default enabled on Mac OS X)])
-if test "x${enable_macosx_vout}" != "xno" &&
-  (test "${SYS}" = "darwin" || test "${enable_macosx_vout}" = "yes")
-then
+AS_IF([{ VLC_FEATURE_NOT_DISABLED([macosx-vout]) && test "${SYS}" = "darwin" ;} || VLC_FEATURE_ENABLED([macosx-vout])], [
   VLC_ADD_LDFLAGS([vout_macosx],[-Wl,-framework,Cocoa])
   VLC_ADD_LDFLAGS([vout_macosx],[-Wl,-framework,OpenGL])
   VLC_ADD_PLUGIN([vout_macosx])
-fi
+])
 
 AC_ARG_ENABLE(macosx-dialog-provider,
   [  --enable-macosx-dialog-provider Mac OS X dialog module (default enabled on Mac OS X)])
-if test "x${enable_macosx_dialog_provider}" != "xno" &&
-  (test "${SYS}" = "darwin" || test "${enable_macosx_dialog_provider}" = "yes")
-then
+AS_IF([{ VLC_FEATURE_NOT_DISABLED([macosx-dialog-provider]) && test "${SYS}" = "darwin" ;} || VLC_FEATURE_ENABLED([macosx-dialog-provider])], [
   VLC_ADD_LDFLAGS([macosx_dialog_provider],[-Wl,-framework,Cocoa])
   VLC_ADD_PLUGIN([macosx_dialog_provider])
-fi
+])
 
 AC_ARG_ENABLE(macosx-qtcapture,
   [  --enable-macosx-qtcapture Mac OS X qtcapture (iSight) module (default enabled on Mac OS X)])
-if test "x${enable_macosx_qtcapture}" != "xno" &&
-  (test "${SYS}" = "darwin" || test "${enable_macosx_qtcapture}" = "yes")
-then
+AS_IF([{ VLC_FEATURE_NOT_DISABLED([macosx-qtcapture]) && test "${SYS}" = "darwin" ;} || VLC_FEATURE_ENABLED([macosx-qtcapture])], [
   VLC_ADD_LDFLAGS([qtcapture], [-Wl,-framework,Cocoa])
   VLC_ADD_LDFLAGS([qtcapture], [-Wl,-framework,QTKit])
   VLC_ADD_LDFLAGS([qtcapture], [-Wl,-framework,CoreAudio])
   VLC_ADD_LDFLAGS([qtcapture], [-Wl,-framework,QuartzCore])
   VLC_ADD_LDFLAGS([qtcapture], [-Wl,-framework,CoreVideo])
   VLC_ADD_PLUGIN([qtcapture])
-fi
+])
 
 AC_ARG_ENABLE(macosx-eyetv,
   [  --enable-macosx-eyetv   Mac OS X EyeTV (TNT Tuner) module (default enabled on Mac OS X)])
-if test "x${enable_macosx_eyetv}" != "xno" &&
-  (test "${SYS}" = "darwin" || test "${enable_macosx_eyetv}" = "yes")
-then
+AS_IF([{ VLC_FEATURE_NOT_DISABLED([macosx-eyetv]) && test "${SYS}" = "darwin" ;} || VLC_FEATURE_ENABLED([macosx-eyetv])], [
   VLC_ADD_LDFLAGS([access_eyetv], [-Wl,-framework,Foundation])
   VLC_ADD_PLUGIN([access_eyetv])
-fi
+])
 
 AC_ARG_ENABLE(macosx-vlc-app,
   [  --enable-macosx-vlc-app build the VLC media player (default enabled on Mac OS X)])
-AM_CONDITIONAL(BUILD_MACOSX_VLC_APP, [test "${enable_macosx_vlc_app}" != "no" &&
-    (test "${SYS}" = "darwin" || test "${enable_macosx_vlc_app}" = "yes") ])
+AM_CONDITIONAL(BUILD_MACOSX_VLC_APP,
+  [{ VLC_FEATURE_NOT_DISABLED([macosx-vlc-app]) && test "${SYS}" = "darwin" ;} || VLC_FEATURE_ENABLED([macosx-vlc-app])])
 
 
 dnl
@@ -4167,27 +4099,25 @@ dnl  XOSD plugin
 dnl
 AC_ARG_ENABLE(xosd,
   [  --enable-xosd           xosd interface support (default disabled)])
-if test "${enable_xosd}" = "yes"
-then
+AS_IF([VLC_FEATURE_ENABLED([xosd])], [
   AC_CHECK_HEADERS(xosd.h,
     AC_CHECK_LIB(xosd, xosd_set_horizontal_offset, [
       VLC_ADD_PLUGIN([xosd])
       VLC_ADD_LIBS([xosd],[-lxosd])
     ])
   )
-fi
+])
 
 dnl
 dnl Framebuffer (overlay) plugin
 dnl
 AC_ARG_ENABLE(fbosd,
   [  --enable-fbosd          fbosd interface support (default disabled)])
-if test "${enable_fbosd}" = "yes"
-then
+AS_IF([VLC_FEATURE_ENABLED([fbosd])], [
   AC_CHECK_HEADERS(linux/fb.h, [
     VLC_ADD_PLUGIN([fbosd])
  ])
-fi
+])
 
 dnl
 dnl Post-interface configuration checks
@@ -4201,10 +4131,9 @@ dnl Visualisation plugin
 dnl
 AC_ARG_ENABLE(visual,
   [  --enable-visual         visualisation plugin (default enabled)])
-if test "${enable_visual}" != "no"
-then
+AS_IF([VLC_FEATURE_NOT_DISABLED([visual])], [
     VLC_ADD_PLUGIN([visual])
-fi
+])
 
 dnl
 dnl  goom visualization plugin
@@ -4247,15 +4176,14 @@ dnl  Lirc plugin
 dnl
 AC_ARG_ENABLE(lirc,
   [  --enable-lirc           lirc support (default disabled)])
-if test "${enable_lirc}" = "yes"
-then
+AS_IF([VLC_FEATURE_ENABLED([lirc])], [
   AC_CHECK_HEADER(lirc/lirc_client.h, AC_CHECK_LIB(lirc_client, lirc_init, have_lirc="true", have_lirc="false"),have_lirc="false")
   if test "${have_lirc}" = "true"
   then
     VLC_ADD_PLUGIN([lirc])
     VLC_ADD_LIBS([lirc],[-llirc_client])
   fi
-fi
+])
 
 
 AC_ARG_WITH(,[Misc options:])
@@ -4265,7 +4193,7 @@ dnl libgcrypt
 dnl
 AC_ARG_ENABLE(libgcrypt,
   [  --disable-libgcrypt     gcrypt support (default enabled)])
-AS_IF([test "${enable_libgcrypt}" != "no"], [
+AS_IF([VLC_FEATURE_NOT_DISABLED([libgcrypt])], [
   AC_CHECK_DECL([GCRYCTL_SET_THREAD_CBS], [
     libgcrypt-config --version >/dev/null || \
         AC_MSG_ERROR([gcrypt.h present but libgcrypt-config could not be found])
@@ -4298,7 +4226,7 @@ AC_ARG_ENABLE(gnutls,
   [  --enable-gnutls         gnutls TLS/SSL support (default enabled)])
 
 AS_IF([test "${have_libgcrypt}" != "yes"], [
-  AS_IF([test "${enable_gnutls}" = "yes"], [
+  AS_IF([VLC_FEATURE_REQUESTED([gnutls])], [
     AC_MSG_ERROR([--enable-gnutls and --disable-libgcrypt are mutually exclusive.])
   ])
   VLC_FEATURE_DEFAULT_DISABLE([gnutls])
@@ -4331,7 +4259,7 @@ dnl
 AC_ARG_ENABLE(remoteosd,
   [  --disable-remoteosd     RemoteOSD plugin (default enabled)])
 
-AS_IF([test "${enable_remoteosd}" != "no"], [
+AS_IF([VLC_FEATURE_NOT_DISABLED([remoteosd])], [
   AS_IF([test "${have_libgcrypt}" = "yes"],[
     VLC_ADD_PLUGIN([remoteosd])
     VLC_ADD_LIBS([remoteosd], ${GCRYPT_LIBS})
@@ -4372,8 +4300,7 @@ dnl update checking system
 dnl
 AC_ARG_ENABLE(update-check,
   [  --enable-update-check   update checking system (default disabled)])
-if test "${enable_update_check}" = "yes"
-then
+AS_IF([VLC_FEATURE_ENABLED([update-check])], [
   if test "${have_libgcrypt}" != "yes"
   then
     AC_MSG_ERROR([libgcrypt is required for update checking system])
@@ -4381,7 +4308,7 @@ then
   VLC_ADD_LIBS([libvlccore], [${GCRYPT_LIBS}])
   VLC_ADD_CFLAGS([libvlccore], [${GCRYPT_CFLAGS}])
   AC_DEFINE([UPDATE_CHECK], 1, [Define if you want to use the VLC update mechanism])
-fi
+])
 
 dnl
 dnl SQLite
@@ -4391,8 +4318,7 @@ AC_ARG_WITH(sqlite,
 if test "${SYS}" != "darwin"; then
   PKG_ENABLE_MODULES_VLC([SQLITE], [], [sqlite3 >= 3.6.0], [sqlite3], [auto])
 else
-  if test "${enable_sqlite}" != "no"
-  then
+  AS_IF([VLC_FEATURE_NOT_DISABLED([sqlite])], [
     AC_CHECK_HEADERS(sqlite3.h, [
         VLC_ADD_PLUGIN([sqlite])
         if test "${with_sqlite}" != "no" -a -n "${with_sqlite}"; then
@@ -4413,7 +4339,7 @@ else
         fi
         AC_DEFINE([SQLITE_MODULE], 1, [Define if you want to use SQLite module]) ],
         AC_MSG_ERROR([sqlite3 is required for sqlite module]) )
-  fi
+  ])
 fi
 AM_CONDITIONAL([HAVE_SQLITE], [test "x${have_sqlite}" = "xyes"])
 
@@ -4436,8 +4362,8 @@ loader=false
 AC_ARG_ENABLE(loader,
   AS_HELP_STRING([--enable-loader],[build DLL loader for ELF i386 platforms
 		  (default disabled)]))
-AM_CONDITIONAL(LOADER, [test "${enable_loader}" = "yes"])
-AS_IF([test "${enable_loader}" = "yes"],
+AM_CONDITIONAL(LOADER, [VLC_FEATURE_ENABLED([loader])])
+AS_IF([VLC_FEATURE_ENABLED([loader])],
   [ VLC_ADD_PLUGIN([dmo])
     VLC_ADD_CPPFLAGS([dmo quicktime realvideo],[-I\\\${top_srcdir}/libs/loader])
     VLC_ADD_LIBS([dmo quicktime realvideo],[-I\\\${top_builddir}/libs/loader/libloader.a])
@@ -4452,7 +4378,7 @@ dnl  the VLC binary
 dnl
 AC_ARG_ENABLE(vlc,
   [  --enable-vlc            build the VLC media player (default enabled)])
-AM_CONDITIONAL(BUILD_VLC, [test "${enable_vlc}" != "no"])
+AM_CONDITIONAL(BUILD_VLC, [VLC_FEATURE_NOT_DISABLED([vlc])])
 
 dnl
 dnl  Microsoft ActiveX support
@@ -4463,8 +4389,7 @@ AC_ARG_ENABLE(activex,
 		  (default enabled on Win32)]))
 AC_ARG_WITH(wine-sdk-path,
   [  --with-wine-sdk-path=PATH path to wine sdk])
-if test "${enable_activex}" != "no"
-then
+AS_IF([VLC_FEATURE_NOT_DISABLED([activex])], [
   if test "${SYS}" = "mingw32"
   then
     AC_CHECK_PROGS(MIDL, [midl], no)
@@ -4498,7 +4423,7 @@ then
     )
     AC_LANG_POP(C++)
   fi
-fi
+])
 AC_ARG_VAR(MIDL, [Microsoft IDL compiler (Win32 platform only)])
 AM_CONDITIONAL(HAS_MIDL_COMPILER, test "${MIDL}" != "no")
 AC_ARG_VAR(WIDL, [Wine IDL compiler (requires Wine SDK)])
@@ -4517,8 +4442,7 @@ AC_ARG_WITH(mozilla-sdk-path,
 AC_ARG_WITH(mozilla-pkg,
   [  --with-mozilla-pkg=PKG  look for PKG.pc to build the mozilla plugin.])
 AC_LANG_PUSH(C++)
-if test "${enable_mozilla}" = "yes"
-then
+AS_IF([VLC_FEATURE_ENABLED([mozilla])], [
   AS_IF([test "${with_mozilla_sdk_path}" = "" -o "${with_mozilla_sdk_path}" = "no"],
     [
     dnl pkg-config
@@ -4671,7 +4595,7 @@ then
     fi
     CPPFLAGS="${CPPFLAGS_save}"
  ])
-fi
+])
 AC_LANG_POP(C++)
 AM_CONDITIONAL(BUILD_MOZILLA,${mozilla})
 
@@ -4680,8 +4604,7 @@ dnl  test plugins
 dnl
 AC_ARG_ENABLE(testsuite,
   [  --enable-testsuite      build test modules (default disabled)])
-if test "${enable_testsuite}" = "yes"
-then
+AS_IF([VLC_FEATURE_ENABLED([testsuite])], [
   TESTS="test1 test2 test3 test4"
 
   dnl  we define those so that bootstrap sets the right linker
@@ -4691,7 +4614,7 @@ then
   VLC_ADD_LIBS([test3],[-lobjc])
 
   VLC_ADD_PLUGIN([test1 test2 test3 test4])
-fi
+])
 
 dnl
 dnl  Plugin and builtin checks
@@ -4940,11 +4863,11 @@ AS_IF([VLC_FEATURE_ENABLED([gprof])], [printf "gprof "])
 AS_IF([VLC_FEATURE_NOT_DISABLED([optimizations])], [printf "optim "])
 AS_IF([VLC_FEATURE_ENABLED([release])], [printf "release "], [printf "devel "])
 echo ""
-if test "${enable_vlc}" != "no"; then
+AS_IF([VLC_FEATURE_NOT_DISABLED([vlc])], [
 echo "vlc aliases           :${ALIASES}"
-else
+], [
 echo "build vlc executable  : no"
-fi
+])
 echo "plugins/bindings      :${PLUGINS_BINDINGS}
 
 You can tune the compiler flags in vlc-config.
-- 
1.6.6.1


